---
date: 2017-10-15T10:19:48+02:00
title: "hugo gen"
slug: hugo_gen
url: /commands/hugo_gen/
---
## hugo gen

A collection of several useful generators.

### Synopsis


A collection of several useful generators.

### Options

```
  -h, --help   help for gen
```

### Options inherited from parent commands

```
      --config string    config file (default is path/config.yaml|json|toml)
      --debug            debug output
      --log              enable Logging
      --logFile string   log File path (if set, logging enabled automatically)
      --quiet            build in quiet mode
  -v, --verbose          verbose output
      --verboseLog       verbose logging
```

### SEE ALSO
* [hugo](/commands/hugo/)	 - hugo builds your site
* [hugo gen autocomplete](/commands/hugo_gen_autocomplete/)	 - Generate shell autocompletion script for Hugo
* [hugo gen chromastyles](/commands/hugo_gen_chromastyles/)	 - Generate CSS stylesheet for the Chroma code highlighter
* [hugo gen doc](/commands/hugo_gen_doc/)	 - Generate Markdown documentation for the Hugo CLI.
* [hugo gen man](/commands/hugo_gen_man/)	 - Generate man pages for the Hugo CLI

###### Auto generated by spf13/cobra on 15-Oct-2017
